// note: package-info.java is the standard place to put
// overview documentation for a package.  There is no
// actual code in this file.

/**
 * This package contains various controllers, which are strategies to select
 * the next move for a given player.  There are several such strategies:
 * Moves can be provided by the user, either through the
 * command line or through the gui.  They might also be randomly generated, or
 * provided by an intelligent algorithm.  These different sources of moves are
 * represented by Controller objects.
 *
 * <p>This package contains the
 * Controller class and also the algorithmic controllers.  Controllers that take
 * input from the GUI or CLUI are contained in the gui and clui packages;
 */

package controller;
